package fishrungames.bashgid.core;

import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.net.URL;
import java.net.URLConnection;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.util.ByteArrayBuffer;
import org.apache.http.util.CharArrayBuffer;
import org.apache.http.util.EntityUtils;

public class DownloadManager {

	public static String getXmlFromUrl(String urlString) {
        String xml = null;
 
        try {
            // defaultHttpClient
        	
        	URL url = new URL(urlString);         	
        	URLConnection ucon = url.openConnection();

        	BufferedReader in = new BufferedReader(new InputStreamReader(
        			ucon.getInputStream()));
			String inputLine;
			
			StringBuilder stringBuilder = new StringBuilder();
			
			while ((inputLine = in.readLine()) != null) 
			{
				stringBuilder.append(inputLine);
			}
            
            
			xml = stringBuilder.toString();
            
 
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        } catch (ClientProtocolException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
        // return XML
        return xml;
    }
}
