package fishrungames.bashgid;



import android.app.Activity;
import android.support.v7.app.ActionBarActivity;
import android.support.v7.app.ActionBar;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.support.v4.widget.DrawerLayout;
import android.widget.ArrayAdapter;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;



public class MainActivity extends ActionBarActivity 
implements NavigationDrawerFragment.NavigationDrawerCallbacks {

	
	static MainActivity instance = null;
	
	private NavigationDrawerFragment mNavigationDrawerFragment = null;
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
  
        setContentView(R.layout.activity_main);
        
        SetupDrawer();
     
        getSupportFragmentManager().beginTransaction().add(R.id.fragment_container, new WelcomeFragment()).commit();
           
      
        instance = this;
        
   
    }
    
    
    public static MainActivity getInstance()
    {
		return instance;
    	
    }
    
    
    public void OnSelectEnglish(View view)
	{
		OpenMainScreen();
	}
	
	public void OnSelectRussian(View view)
	{
		OpenMainScreen();
	}
	
	public void OnSelectChinese(View view)
	{
		OpenMainScreen();
	}
	
	public void OnSelectSemiDetails(Integer pos)
	{
		//getSupportFragmentManager().beginTransaction().add(R.id.fragment_container, new SemiDetailsFragment()).addToBackStack(null).commit();
	}
	
	public void OpenMainScreen()
	{

		//mainFragment = new MainFragment();
		
		getSupportFragmentManager().beginTransaction().replace(R.id.fragment_container, new MainPageFragment()).commit();

		mNavigationDrawerFragment.EnableDrawer();
	}
	
	
	@Override
	public void onAttachFragment(Fragment fragment)
	{
		super.onAttachFragment(fragment);
		
	}
	
	public void SetupDrawer()
	{
	
	
		mNavigationDrawerFragment = (NavigationDrawerFragment)
				getSupportFragmentManager().findFragmentById(R.id.navigation_drawer);

		if (mNavigationDrawerFragment != null)
		{
		
        // Set up the drawer.
        mNavigationDrawerFragment.setUp(
                R.id.navigation_drawer,
                (DrawerLayout) findViewById(R.id.drawer_layout));
		}
	}

	

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
    	
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
    
    
    @Override
    public void onNavigationDrawerItemSelected(int position) {
        // update the main content by replacing fragments
        //FragmentManager fragmentManager = getSupportFragmentManager();
        //fragmentManager.beginTransaction()
       //         .replace(R.id.container, PlaceholderFragment.newInstance(position + 1))
        //        .commit();
    }

    
    
   


}
