package fishrungames.bashgid;

import it.sephiroth.android.library.widget.HListView;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.ImageButton;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MainPageHListViewAdapters {
	
	
	public static class SimpleElementAdapter extends BaseAdapter {
		
		String [] textsArray;
		String [] subTextsArray;
		int [] imgIdArray;
		
	    private Context mContext;

	    public SimpleElementAdapter(Context c, String [] textsArray, String [] subTextsArray, int [] imgIdArray) {
	        mContext = c;
	        this.textsArray = textsArray;
	        this.subTextsArray = subTextsArray;
	        this.imgIdArray = imgIdArray;
	        
	    }

	    public int getCount() {
	        return textsArray.length;
	    }

	    public Object getItem(int position) {
	        return null;
	    }

	    public long getItemId(int position) {
	        return 0;
	    }

	    // create a new ImageView for each item referenced by the Adapter
	    public View getView(int position, View convertView, ViewGroup parent) {
	        
	    	
	    	View view;
	        if (convertView == null) {  // if it's not recycled, initialize some attributes
	        	LayoutInflater inflater = (LayoutInflater) mContext.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	        	view = inflater.inflate(R.layout.simple_hview_list_element, null);
	        	
	   
	        } else {
	        	view = convertView;
	        }
	        
	        TextView textView = (TextView) view.findViewById(R.id.textView);
	        
	        TextView subTextView = (TextView) view.findViewById(R.id.subTextView);
	        
	        ImageButton imageButton = (ImageButton) view.findViewById(R.id.imageButton);
	        
	        
	        textView.setText(textsArray[position]);
	        
	        subTextView.setText(subTextsArray[position]);
	        
	        //imageButton.setImageResource(imgIdArray[position]);
	        imageButton.setBackgroundResource(imgIdArray[position]);
	        
	        
	        return view;
	    }

	}
	
	
public static class DarkenElementAdapter extends BaseAdapter {
		
	String [] textsArray;
	String [] subTextsArray;
	int [] imgIdArray;
	
    private Context mContext;

    public DarkenElementAdapter(Context c, String [] textsArray, String [] subTextsArray, int [] imgIdArray) {
        mContext = c;
        this.textsArray = textsArray;
        this.subTextsArray = subTextsArray;
        this.imgIdArray = imgIdArray;
        
    }

	    public int getCount() {
	        return textsArray.length;
	    }

	    public Object getItem(int position) {
	        return null;
	    }

	    public long getItemId(int position) {
	        return 0;
	    }

	    // create a new ImageView for each item referenced by the Adapter
	    public View getView(int position, View convertView, ViewGroup parent) {
	        
	    	
	    	View view;
	        if (convertView == null) {  // if it's not recycled, initialize some attributes
	        	LayoutInflater inflater = (LayoutInflater) mContext.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	        	view = inflater.inflate(R.layout.darken_hview_list_element, null);
	        	
	   
	        } else {
	        	view = convertView;
	        }
	        
	        TextView textView = (TextView) view.findViewById(R.id.textView);
	        
	        TextView subTextView = (TextView) view.findViewById(R.id.subTextView);

	        LinearLayout linearLayout = (LinearLayout) view.findViewById(R.id.linearLayout);
	        
	        textView.setText(textsArray[position]);
	        
	        subTextView.setText(subTextsArray[position]);
	        
	        linearLayout.setBackgroundResource(imgIdArray[position]);
	        
	        return view;
	    }

	}
	
	
	
	

}
